org.omg.CORBA

## Interface IDLTypeOperations

- All Superinterfaces:
    IRObjectOperations
  All Known Subinterfaces:
    IDLType
  All Known Implementing Classes:
    _IDLTypeStub

      public interface IDLTypeOperations
      extends IRObjectOperations

  This interface must be implemented by all IDLType objects. The IDLType is inherited by all IR objects that represent IDL types, including interfaces, typedefs, and anonymous types.
  See Also:
    `IDLType`, `IRObject`, `IRObjectOperations`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `TypeCode` | `type()` The type attribute describes the type defined by an object derived from `IDLType`.

    - ### Methods inherited from interface org.omg.CORBA.IRObjectOperations

      `def_kind, destroy`

- - ### Method Detail

    - #### type

          TypeCode type()

      The type attribute describes the type defined by an object derived from `IDLType`.
      Returns:
        the `TypeCode` defined by this object.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.